package com.sd.business.entity.board.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 出入库看板查询入参实体
 *
 * @author
 * @since 2023-11-16
 */
@Getter
@Setter
public class InOutStorageBoardSelectDto extends BaseSelectDto {

    /**
     * 出入库类型
     */
    private Integer type;

    /**
     * 项目小类 字典:bom_itemSubclass
     */
    private String itemSubclass;

    /**
     * 宽 cm
     */
    private BigDecimal bomSpecWidth;

    /**
     * 高 cm
     */
    private BigDecimal bomSpecHeight;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 排序方式 1-升序，2-降序
     */
    private Integer sortBy;
}
